Makefile.in
changeset 350 0a71999c5f19
parent 324 37e00e508ba5
child 353 f76414a56c93
equal deleted inserted replaced
349:65d8b29e1af3 350:0a71999c5f19
     1 # Makefile.in generated by automake 1.10 from Makefile.am.
     1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
     2 # @configure_input@
     2 # @configure_input@
     3 
     3 
     4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
     5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
       
     6 # Foundation, Inc.
     6 # This Makefile.in is free software; the Free Software Foundation
     7 # This Makefile.in is free software; the Free Software Foundation
     7 # gives unlimited permission to copy and/or distribute it,
     8 # gives unlimited permission to copy and/or distribute it,
     8 # with or without modifications, as long as this notice is preserved.
     9 # with or without modifications, as long as this notice is preserved.
     9 
    10 
    10 # This program is distributed in the hope that it will be useful,
    11 # This program is distributed in the hope that it will be useful,
    19 
    20 
    20 
    21 
    21 
    22 
    22 VPATH = @srcdir@
    23 VPATH = @srcdir@
    23 pkgdatadir = $(datadir)/@PACKAGE@
    24 pkgdatadir = $(datadir)/@PACKAGE@
       
    25 pkgincludedir = $(includedir)/@PACKAGE@
    24 pkglibdir = $(libdir)/@PACKAGE@
    26 pkglibdir = $(libdir)/@PACKAGE@
    25 pkgincludedir = $(includedir)/@PACKAGE@
    27 pkglibexecdir = $(libexecdir)/@PACKAGE@
    26 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    27 install_sh_DATA = $(install_sh) -c -m 644
    29 install_sh_DATA = $(install_sh) -c -m 644
    28 install_sh_PROGRAM = $(install_sh) -c
    30 install_sh_PROGRAM = $(install_sh) -c
    29 install_sh_SCRIPT = $(install_sh) -c
    31 install_sh_SCRIPT = $(install_sh) -c
    30 INSTALL_HEADER = $(INSTALL_DATA)
    32 INSTALL_HEADER = $(INSTALL_DATA)
    58 	$(ACLOCAL_M4)
    60 	$(ACLOCAL_M4)
    59 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
    61 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
    60  configure.lineno config.status.lineno
    62  configure.lineno config.status.lineno
    61 mkinstalldirs = $(install_sh) -d
    63 mkinstalldirs = $(install_sh) -d
    62 CONFIG_CLEAN_FILES = SDL2_image.spec SDL2_image.pc
    64 CONFIG_CLEAN_FILES = SDL2_image.spec SDL2_image.pc
       
    65 CONFIG_CLEAN_VPATH_FILES =
    63 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    66 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    64 am__vpath_adj = case $$p in \
    67 am__vpath_adj = case $$p in \
    65     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    68     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    66     *) f=$$p;; \
    69     *) f=$$p;; \
    67   esac;
    70   esac;
    68 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
    71 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
       
    72 am__install_max = 40
       
    73 am__nobase_strip_setup = \
       
    74   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
       
    75 am__nobase_strip = \
       
    76   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
       
    77 am__nobase_list = $(am__nobase_strip_setup); \
       
    78   for p in $$list; do echo "$$p $$p"; done | \
       
    79   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
       
    80   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
       
    81     if (++n[$$2] == $(am__install_max)) \
       
    82       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
       
    83     END { for (dir in files) print dir, files[dir] }'
       
    84 am__base_list = \
       
    85   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
       
    86   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
       
    87 am__uninstall_files_from_dir = { \
       
    88   test -z "$$files" \
       
    89     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
       
    90     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
       
    91          $(am__cd) "$$dir" && rm -f $$files; }; \
       
    92   }
    69 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgconfigdir)" \
    93 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgconfigdir)" \
    70 	"$(DESTDIR)$(libSDL2_imageincludedir)"
    94 	"$(DESTDIR)$(libSDL2_imageincludedir)"
    71 libLTLIBRARIES_INSTALL = $(INSTALL)
       
    72 LTLIBRARIES = $(lib_LTLIBRARIES)
    95 LTLIBRARIES = $(lib_LTLIBRARIES)
    73 am__DEPENDENCIES_1 =
    96 am__DEPENDENCIES_1 =
    74 am__libSDL2_image_la_SOURCES_DIST = IMG.c IMG_bmp.c IMG_gif.c \
    97 am__libSDL2_image_la_SOURCES_DIST = IMG.c IMG_bmp.c IMG_gif.c \
    75 	IMG_jpg.c IMG_lbm.c IMG_pcx.c IMG_png.c IMG_pnm.c IMG_tga.c \
    98 	IMG_jpg.c IMG_lbm.c IMG_pcx.c IMG_png.c IMG_pnm.c IMG_tga.c \
    76 	IMG_tif.c IMG_xcf.c IMG_xpm.c IMG_xv.c IMG_webp.c \
    99 	IMG_tif.c IMG_xcf.c IMG_xpm.c IMG_xv.c IMG_webp.c \
    89 showimage_OBJECTS = showimage.$(OBJEXT)
   112 showimage_OBJECTS = showimage.$(OBJEXT)
    90 showimage_DEPENDENCIES = libSDL2_image.la
   113 showimage_DEPENDENCIES = libSDL2_image.la
    91 DEFAULT_INCLUDES = -I.@am__isrc@
   114 DEFAULT_INCLUDES = -I.@am__isrc@
    92 depcomp = $(SHELL) $(top_srcdir)/depcomp
   115 depcomp = $(SHELL) $(top_srcdir)/depcomp
    93 am__depfiles_maybe = depfiles
   116 am__depfiles_maybe = depfiles
       
   117 am__mv = mv -f
    94 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
   118 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    95 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
   119 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    96 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
   120 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
    97 	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
   121 	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
    98 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
   122 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
   109 OBJCLINK = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link \
   133 OBJCLINK = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link \
   110 	$(OBJCLD) $(AM_OBJCFLAGS) $(OBJCFLAGS) $(AM_LDFLAGS) \
   134 	$(OBJCLD) $(AM_OBJCFLAGS) $(OBJCFLAGS) $(AM_LDFLAGS) \
   111 	$(LDFLAGS) -o $@
   135 	$(LDFLAGS) -o $@
   112 SOURCES = $(libSDL2_image_la_SOURCES) showimage.c
   136 SOURCES = $(libSDL2_image_la_SOURCES) showimage.c
   113 DIST_SOURCES = $(am__libSDL2_image_la_SOURCES_DIST) showimage.c
   137 DIST_SOURCES = $(am__libSDL2_image_la_SOURCES_DIST) showimage.c
   114 pkgconfigDATA_INSTALL = $(INSTALL_DATA)
       
   115 DATA = $(pkgconfig_DATA)
   138 DATA = $(pkgconfig_DATA)
   116 libSDL2_imageincludeHEADERS_INSTALL = $(INSTALL_HEADER)
       
   117 HEADERS = $(libSDL2_imageinclude_HEADERS)
   139 HEADERS = $(libSDL2_imageinclude_HEADERS)
   118 ETAGS = etags
   140 ETAGS = etags
   119 CTAGS = ctags
   141 CTAGS = ctags
   120 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   142 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   121 distdir = $(PACKAGE)-$(VERSION)
   143 distdir = $(PACKAGE)-$(VERSION)
   122 top_distdir = $(distdir)
   144 top_distdir = $(distdir)
   123 am__remove_distdir = \
   145 am__remove_distdir = \
   124   { test ! -d $(distdir) \
   146   if test -d "$(distdir)"; then \
   125     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
   147     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
   126          && rm -fr $(distdir); }; }
   148       && rm -rf "$(distdir)" \
       
   149       || { sleep 5 && rm -rf "$(distdir)"; }; \
       
   150   else :; fi
   127 DIST_ARCHIVES = $(distdir).tar.gz
   151 DIST_ARCHIVES = $(distdir).tar.gz
   128 GZIP_ENV = --best
   152 GZIP_ENV = --best
   129 distuninstallcheck_listfiles = find . -type f -print
   153 distuninstallcheck_listfiles = find . -type f -print
       
   154 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
       
   155   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
   130 distcleancheck_listfiles = find . -type f -print
   156 distcleancheck_listfiles = find . -type f -print
   131 ACLOCAL = @ACLOCAL@
   157 ACLOCAL = @ACLOCAL@
   132 AMTAR = @AMTAR@
   158 AMTAR = @AMTAR@
   133 AR = @AR@
   159 AR = @AR@
   134 AS = @AS@
   160 AS = @AS@
   195 PACKAGE = @PACKAGE@
   221 PACKAGE = @PACKAGE@
   196 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
   222 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
   197 PACKAGE_NAME = @PACKAGE_NAME@
   223 PACKAGE_NAME = @PACKAGE_NAME@
   198 PACKAGE_STRING = @PACKAGE_STRING@
   224 PACKAGE_STRING = @PACKAGE_STRING@
   199 PACKAGE_TARNAME = @PACKAGE_TARNAME@
   225 PACKAGE_TARNAME = @PACKAGE_TARNAME@
       
   226 PACKAGE_URL = @PACKAGE_URL@
   200 PACKAGE_VERSION = @PACKAGE_VERSION@
   227 PACKAGE_VERSION = @PACKAGE_VERSION@
   201 PATH_SEPARATOR = @PATH_SEPARATOR@
   228 PATH_SEPARATOR = @PATH_SEPARATOR@
   202 PKG_CONFIG = @PKG_CONFIG@
   229 PKG_CONFIG = @PKG_CONFIG@
   203 RANLIB = @RANLIB@
   230 RANLIB = @RANLIB@
   204 SDL_CFLAGS = @SDL_CFLAGS@
   231 SDL_CFLAGS = @SDL_CFLAGS@
   259 sbindir = @sbindir@
   286 sbindir = @sbindir@
   260 sharedstatedir = @sharedstatedir@
   287 sharedstatedir = @sharedstatedir@
   261 srcdir = @srcdir@
   288 srcdir = @srcdir@
   262 sysconfdir = @sysconfdir@
   289 sysconfdir = @sysconfdir@
   263 target_alias = @target_alias@
   290 target_alias = @target_alias@
       
   291 top_build_prefix = @top_build_prefix@
   264 top_builddir = @top_builddir@
   292 top_builddir = @top_builddir@
   265 top_srcdir = @top_srcdir@
   293 top_srcdir = @top_srcdir@
   266 lib_LTLIBRARIES = libSDL2_image.la
   294 lib_LTLIBRARIES = libSDL2_image.la
   267 libSDL2_imageincludedir = $(includedir)/SDL2
   295 libSDL2_imageincludedir = $(includedir)/SDL2
   268 libSDL2_imageinclude_HEADERS = \
   296 libSDL2_imageinclude_HEADERS = \
   318 showimage_LDADD = libSDL2_image.la
   346 showimage_LDADD = libSDL2_image.la
   319 all: all-am
   347 all: all-am
   320 
   348 
   321 .SUFFIXES:
   349 .SUFFIXES:
   322 .SUFFIXES: .c .lo .m .o .obj
   350 .SUFFIXES: .c .lo .m .o .obj
   323 am--refresh:
   351 am--refresh: Makefile
   324 	@:
   352 	@:
   325 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
   353 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
   326 	@for dep in $?; do \
   354 	@for dep in $?; do \
   327 	  case '$(am__configure_deps)' in \
   355 	  case '$(am__configure_deps)' in \
   328 	    *$$dep*) \
   356 	    *$$dep*) \
   329 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
   357 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
   330 	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
   358 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
   331 		&& exit 0; \
   359 		&& exit 0; \
   332 	      exit 1;; \
   360 	      exit 1;; \
   333 	  esac; \
   361 	  esac; \
   334 	done; \
   362 	done; \
   335 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
   363 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
   336 	cd $(top_srcdir) && \
   364 	$(am__cd) $(top_srcdir) && \
   337 	  $(AUTOMAKE) --foreign  Makefile
   365 	  $(AUTOMAKE) --foreign Makefile
   338 .PRECIOUS: Makefile
   366 .PRECIOUS: Makefile
   339 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
   367 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
   340 	@case '$?' in \
   368 	@case '$?' in \
   341 	  *config.status*) \
   369 	  *config.status*) \
   342 	    echo ' $(SHELL) ./config.status'; \
   370 	    echo ' $(SHELL) ./config.status'; \
   348 
   376 
   349 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
   377 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
   350 	$(SHELL) ./config.status --recheck
   378 	$(SHELL) ./config.status --recheck
   351 
   379 
   352 $(top_srcdir)/configure:  $(am__configure_deps)
   380 $(top_srcdir)/configure:  $(am__configure_deps)
   353 	cd $(srcdir) && $(AUTOCONF)
   381 	$(am__cd) $(srcdir) && $(AUTOCONF)
   354 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
   382 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
   355 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
   383 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
       
   384 $(am__aclocal_m4_deps):
   356 SDL2_image.spec: $(top_builddir)/config.status $(srcdir)/SDL2_image.spec.in
   385 SDL2_image.spec: $(top_builddir)/config.status $(srcdir)/SDL2_image.spec.in
   357 	cd $(top_builddir) && $(SHELL) ./config.status $@
   386 	cd $(top_builddir) && $(SHELL) ./config.status $@
   358 SDL2_image.pc: $(top_builddir)/config.status $(srcdir)/SDL2_image.pc.in
   387 SDL2_image.pc: $(top_builddir)/config.status $(srcdir)/SDL2_image.pc.in
   359 	cd $(top_builddir) && $(SHELL) ./config.status $@
   388 	cd $(top_builddir) && $(SHELL) ./config.status $@
   360 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
   389 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
   361 	@$(NORMAL_INSTALL)
   390 	@$(NORMAL_INSTALL)
   362 	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
   391 	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
   363 	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
   392 	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
       
   393 	list2=; for p in $$list; do \
   364 	  if test -f $$p; then \
   394 	  if test -f $$p; then \
   365 	    f=$(am__strip_dir) \
   395 	    list2="$$list2 $$p"; \
   366 	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
       
   367 	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
       
   368 	  else :; fi; \
   396 	  else :; fi; \
   369 	done
   397 	done; \
       
   398 	test -z "$$list2" || { \
       
   399 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
       
   400 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
       
   401 	}
   370 
   402 
   371 uninstall-libLTLIBRARIES:
   403 uninstall-libLTLIBRARIES:
   372 	@$(NORMAL_UNINSTALL)
   404 	@$(NORMAL_UNINSTALL)
   373 	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
   405 	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
   374 	  p=$(am__strip_dir) \
   406 	for p in $$list; do \
   375 	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
   407 	  $(am__strip_dir) \
   376 	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
   408 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
       
   409 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
   377 	done
   410 	done
   378 
   411 
   379 clean-libLTLIBRARIES:
   412 clean-libLTLIBRARIES:
   380 	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
   413 	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
   381 	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
   414 	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
   382 	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
   415 	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
   383 	  test "$$dir" != "$$p" || dir=.; \
   416 	  test "$$dir" != "$$p" || dir=.; \
   384 	  echo "rm -f \"$${dir}/so_locations\""; \
   417 	  echo "rm -f \"$${dir}/so_locations\""; \
   385 	  rm -f "$${dir}/so_locations"; \
   418 	  rm -f "$${dir}/so_locations"; \
   386 	done
   419 	done
   387 libSDL2_image.la: $(libSDL2_image_la_OBJECTS) $(libSDL2_image_la_DEPENDENCIES) 
   420 libSDL2_image.la: $(libSDL2_image_la_OBJECTS) $(libSDL2_image_la_DEPENDENCIES) $(EXTRA_libSDL2_image_la_DEPENDENCIES) 
   388 	$(libSDL2_image_la_LINK) -rpath $(libdir) $(libSDL2_image_la_OBJECTS) $(libSDL2_image_la_LIBADD) $(LIBS)
   421 	$(libSDL2_image_la_LINK) -rpath $(libdir) $(libSDL2_image_la_OBJECTS) $(libSDL2_image_la_LIBADD) $(LIBS)
   389 
   422 
   390 clean-noinstPROGRAMS:
   423 clean-noinstPROGRAMS:
   391 	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
   424 	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
   392 	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
   425 	echo " rm -f" $$list; \
   393 	  echo " rm -f $$p $$f"; \
   426 	rm -f $$list || exit $$?; \
   394 	  rm -f $$p $$f ; \
   427 	test -n "$(EXEEXT)" || exit 0; \
   395 	done
   428 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
   396 showimage$(EXEEXT): $(showimage_OBJECTS) $(showimage_DEPENDENCIES) 
   429 	echo " rm -f" $$list; \
       
   430 	rm -f $$list
       
   431 showimage$(EXEEXT): $(showimage_OBJECTS) $(showimage_DEPENDENCIES) $(EXTRA_showimage_DEPENDENCIES) 
   397 	@rm -f showimage$(EXEEXT)
   432 	@rm -f showimage$(EXEEXT)
   398 	$(LINK) $(showimage_OBJECTS) $(showimage_LDADD) $(LIBS)
   433 	$(LINK) $(showimage_OBJECTS) $(showimage_LDADD) $(LIBS)
   399 
   434 
   400 mostlyclean-compile:
   435 mostlyclean-compile:
   401 	-rm -f *.$(OBJEXT)
   436 	-rm -f *.$(OBJEXT)
   420 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IMG_xv.Plo@am__quote@
   455 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IMG_xv.Plo@am__quote@
   421 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/showimage.Po@am__quote@
   456 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/showimage.Po@am__quote@
   422 
   457 
   423 .c.o:
   458 .c.o:
   424 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   459 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   425 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   460 @am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   426 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   461 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   427 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   462 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   428 @am__fastdepCC_FALSE@	$(COMPILE) -c $<
   463 @am__fastdepCC_FALSE@	$(COMPILE) -c $<
   429 
   464 
   430 .c.obj:
   465 .c.obj:
   431 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
   466 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
   432 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   467 @am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   433 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   468 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   434 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   469 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   435 @am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
   470 @am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
   436 
   471 
   437 .c.lo:
   472 .c.lo:
   438 @am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   473 @am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   439 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
   474 @am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
   440 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
   475 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
   441 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   476 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   442 @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
   477 @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
   443 
   478 
   444 .m.o:
   479 .m.o:
   445 @am__fastdepOBJC_TRUE@	$(OBJCCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   480 @am__fastdepOBJC_TRUE@	$(OBJCCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   446 @am__fastdepOBJC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   481 @am__fastdepOBJC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   447 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   482 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   448 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	DEPDIR=$(DEPDIR) $(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   483 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	DEPDIR=$(DEPDIR) $(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   449 @am__fastdepOBJC_FALSE@	$(OBJCCOMPILE) -c -o $@ $<
   484 @am__fastdepOBJC_FALSE@	$(OBJCCOMPILE) -c -o $@ $<
   450 
   485 
   451 .m.obj:
   486 .m.obj:
   452 @am__fastdepOBJC_TRUE@	$(OBJCCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
   487 @am__fastdepOBJC_TRUE@	$(OBJCCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
   453 @am__fastdepOBJC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   488 @am__fastdepOBJC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   454 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   489 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   455 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	DEPDIR=$(DEPDIR) $(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   490 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	DEPDIR=$(DEPDIR) $(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   456 @am__fastdepOBJC_FALSE@	$(OBJCCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
   491 @am__fastdepOBJC_FALSE@	$(OBJCCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
   457 
   492 
   458 .m.lo:
   493 .m.lo:
   459 @am__fastdepOBJC_TRUE@	$(LTOBJCCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   494 @am__fastdepOBJC_TRUE@	$(LTOBJCCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   460 @am__fastdepOBJC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
   495 @am__fastdepOBJC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
   461 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
   496 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
   462 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	DEPDIR=$(DEPDIR) $(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   497 @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	DEPDIR=$(DEPDIR) $(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   463 @am__fastdepOBJC_FALSE@	$(LTOBJCCOMPILE) -c -o $@ $<
   498 @am__fastdepOBJC_FALSE@	$(LTOBJCCOMPILE) -c -o $@ $<
   464 
   499 
   465 mostlyclean-libtool:
   500 mostlyclean-libtool:
   467 
   502 
   468 clean-libtool:
   503 clean-libtool:
   469 	-rm -rf .libs _libs
   504 	-rm -rf .libs _libs
   470 
   505 
   471 distclean-libtool:
   506 distclean-libtool:
   472 	-rm -f libtool
   507 	-rm -f libtool config.lt
   473 install-pkgconfigDATA: $(pkgconfig_DATA)
   508 install-pkgconfigDATA: $(pkgconfig_DATA)
   474 	@$(NORMAL_INSTALL)
   509 	@$(NORMAL_INSTALL)
   475 	test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
   510 	test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
   476 	@list='$(pkgconfig_DATA)'; for p in $$list; do \
   511 	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
       
   512 	for p in $$list; do \
   477 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
   513 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
   478 	  f=$(am__strip_dir) \
   514 	  echo "$$d$$p"; \
   479 	  echo " $(pkgconfigDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
   515 	done | $(am__base_list) | \
   480 	  $(pkgconfigDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgconfigdir)/$$f"; \
   516 	while read files; do \
       
   517 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
       
   518 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
   481 	done
   519 	done
   482 
   520 
   483 uninstall-pkgconfigDATA:
   521 uninstall-pkgconfigDATA:
   484 	@$(NORMAL_UNINSTALL)
   522 	@$(NORMAL_UNINSTALL)
   485 	@list='$(pkgconfig_DATA)'; for p in $$list; do \
   523 	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
   486 	  f=$(am__strip_dir) \
   524 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
   487 	  echo " rm -f '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
   525 	dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
   488 	  rm -f "$(DESTDIR)$(pkgconfigdir)/$$f"; \
       
   489 	done
       
   490 install-libSDL2_imageincludeHEADERS: $(libSDL2_imageinclude_HEADERS)
   526 install-libSDL2_imageincludeHEADERS: $(libSDL2_imageinclude_HEADERS)
   491 	@$(NORMAL_INSTALL)
   527 	@$(NORMAL_INSTALL)
   492 	test -z "$(libSDL2_imageincludedir)" || $(MKDIR_P) "$(DESTDIR)$(libSDL2_imageincludedir)"
   528 	test -z "$(libSDL2_imageincludedir)" || $(MKDIR_P) "$(DESTDIR)$(libSDL2_imageincludedir)"
   493 	@list='$(libSDL2_imageinclude_HEADERS)'; for p in $$list; do \
   529 	@list='$(libSDL2_imageinclude_HEADERS)'; test -n "$(libSDL2_imageincludedir)" || list=; \
       
   530 	for p in $$list; do \
   494 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
   531 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
   495 	  f=$(am__strip_dir) \
   532 	  echo "$$d$$p"; \
   496 	  echo " $(libSDL2_imageincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libSDL2_imageincludedir)/$$f'"; \
   533 	done | $(am__base_list) | \
   497 	  $(libSDL2_imageincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libSDL2_imageincludedir)/$$f"; \
   534 	while read files; do \
       
   535 	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libSDL2_imageincludedir)'"; \
       
   536 	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(libSDL2_imageincludedir)" || exit $$?; \
   498 	done
   537 	done
   499 
   538 
   500 uninstall-libSDL2_imageincludeHEADERS:
   539 uninstall-libSDL2_imageincludeHEADERS:
   501 	@$(NORMAL_UNINSTALL)
   540 	@$(NORMAL_UNINSTALL)
   502 	@list='$(libSDL2_imageinclude_HEADERS)'; for p in $$list; do \
   541 	@list='$(libSDL2_imageinclude_HEADERS)'; test -n "$(libSDL2_imageincludedir)" || list=; \
   503 	  f=$(am__strip_dir) \
   542 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
   504 	  echo " rm -f '$(DESTDIR)$(libSDL2_imageincludedir)/$$f'"; \
   543 	dir='$(DESTDIR)$(libSDL2_imageincludedir)'; $(am__uninstall_files_from_dir)
   505 	  rm -f "$(DESTDIR)$(libSDL2_imageincludedir)/$$f"; \
       
   506 	done
       
   507 
   544 
   508 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
   545 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
   509 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
   546 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
   510 	unique=`for i in $$list; do \
   547 	unique=`for i in $$list; do \
   511 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   548 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   512 	  done | \
   549 	  done | \
   513 	  $(AWK) '    { files[$$0] = 1; } \
   550 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
   514 	       END { for (i in files) print i; }'`; \
   551 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
   515 	mkid -fID $$unique
   552 	mkid -fID $$unique
   516 tags: TAGS
   553 tags: TAGS
   517 
   554 
   518 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
   555 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
   519 		$(TAGS_FILES) $(LISP)
   556 		$(TAGS_FILES) $(LISP)
   520 	tags=; \
   557 	set x; \
   521 	here=`pwd`; \
   558 	here=`pwd`; \
   522 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
   559 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
   523 	unique=`for i in $$list; do \
   560 	unique=`for i in $$list; do \
   524 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   561 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   525 	  done | \
   562 	  done | \
   526 	  $(AWK) '    { files[$$0] = 1; } \
   563 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
   527 	       END { for (i in files) print i; }'`; \
   564 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
   528 	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
   565 	shift; \
       
   566 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
   529 	  test -n "$$unique" || unique=$$empty_fix; \
   567 	  test -n "$$unique" || unique=$$empty_fix; \
   530 	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
   568 	  if test $$# -gt 0; then \
   531 	    $$tags $$unique; \
   569 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
       
   570 	      "$$@" $$unique; \
       
   571 	  else \
       
   572 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
       
   573 	      $$unique; \
       
   574 	  fi; \
   532 	fi
   575 	fi
   533 ctags: CTAGS
   576 ctags: CTAGS
   534 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
   577 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
   535 		$(TAGS_FILES) $(LISP)
   578 		$(TAGS_FILES) $(LISP)
   536 	tags=; \
       
   537 	here=`pwd`; \
       
   538 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
   579 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
   539 	unique=`for i in $$list; do \
   580 	unique=`for i in $$list; do \
   540 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   581 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   541 	  done | \
   582 	  done | \
   542 	  $(AWK) '    { files[$$0] = 1; } \
   583 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
   543 	       END { for (i in files) print i; }'`; \
   584 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
   544 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
   585 	test -z "$(CTAGS_ARGS)$$unique" \
   545 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
   586 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
   546 	     $$tags $$unique
   587 	     $$unique
   547 
   588 
   548 GTAGS:
   589 GTAGS:
   549 	here=`$(am__cd) $(top_builddir) && pwd` \
   590 	here=`$(am__cd) $(top_builddir) && pwd` \
   550 	  && cd $(top_srcdir) \
   591 	  && $(am__cd) $(top_srcdir) \
   551 	  && gtags -i $(GTAGS_ARGS) $$here
   592 	  && gtags -i $(GTAGS_ARGS) "$$here"
   552 
   593 
   553 distclean-tags:
   594 distclean-tags:
   554 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
   595 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
   555 
   596 
   556 distdir: $(DISTFILES)
   597 distdir: $(DISTFILES)
   557 	$(am__remove_distdir)
   598 	$(am__remove_distdir)
   558 	test -d $(distdir) || mkdir $(distdir)
   599 	test -d "$(distdir)" || mkdir "$(distdir)"
   559 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   600 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   560 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   601 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   561 	list='$(DISTFILES)'; \
   602 	list='$(DISTFILES)'; \
   562 	  dist_files=`for file in $$list; do echo $$file; done | \
   603 	  dist_files=`for file in $$list; do echo $$file; done | \
   563 	  sed -e "s|^$$srcdirstrip/||;t" \
   604 	  sed -e "s|^$$srcdirstrip/||;t" \
   569 	esac; \
   610 	esac; \
   570 	for file in $$dist_files; do \
   611 	for file in $$dist_files; do \
   571 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
   612 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
   572 	  if test -d $$d/$$file; then \
   613 	  if test -d $$d/$$file; then \
   573 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
   614 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
       
   615 	    if test -d "$(distdir)/$$file"; then \
       
   616 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
       
   617 	    fi; \
   574 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
   618 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
   575 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
   619 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
       
   620 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   576 	    fi; \
   621 	    fi; \
   577 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
   622 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
   578 	  else \
   623 	  else \
   579 	    test -f $(distdir)/$$file \
   624 	    test -f "$(distdir)/$$file" \
   580 	    || cp -p $$d/$$file $(distdir)/$$file \
   625 	    || cp -p $$d/$$file "$(distdir)/$$file" \
   581 	    || exit 1; \
   626 	    || exit 1; \
   582 	  fi; \
   627 	  fi; \
   583 	done
   628 	done
   584 	-find $(distdir) -type d ! -perm -755 -exec chmod u+rwx,go+rx {} \; -o \
   629 	-test -n "$(am__skip_mode_fix)" \
       
   630 	|| find "$(distdir)" -type d ! -perm -755 \
       
   631 		-exec chmod u+rwx,go+rx {} \; -o \
   585 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
   632 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
   586 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
   633 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
   587 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
   634 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
   588 	|| chmod -R a+r $(distdir)
   635 	|| chmod -R a+r "$(distdir)"
   589 dist-gzip: distdir
   636 dist-gzip: distdir
   590 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
   637 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
   591 	$(am__remove_distdir)
   638 	$(am__remove_distdir)
   592 
   639 
   593 dist-bzip2: distdir
   640 dist-bzip2: distdir
   594 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
   641 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
       
   642 	$(am__remove_distdir)
       
   643 
       
   644 dist-lzip: distdir
       
   645 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
       
   646 	$(am__remove_distdir)
       
   647 
       
   648 dist-lzma: distdir
       
   649 	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
       
   650 	$(am__remove_distdir)
       
   651 
       
   652 dist-xz: distdir
       
   653 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
   595 	$(am__remove_distdir)
   654 	$(am__remove_distdir)
   596 
   655 
   597 dist-tarZ: distdir
   656 dist-tarZ: distdir
   598 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
   657 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
   599 	$(am__remove_distdir)
   658 	$(am__remove_distdir)
   615 # it guarantees that the distribution is self-contained by making another
   674 # it guarantees that the distribution is self-contained by making another
   616 # tarfile.
   675 # tarfile.
   617 distcheck: dist
   676 distcheck: dist
   618 	case '$(DIST_ARCHIVES)' in \
   677 	case '$(DIST_ARCHIVES)' in \
   619 	*.tar.gz*) \
   678 	*.tar.gz*) \
   620 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
   679 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
   621 	*.tar.bz2*) \
   680 	*.tar.bz2*) \
   622 	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
   681 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
       
   682 	*.tar.lzma*) \
       
   683 	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
       
   684 	*.tar.lz*) \
       
   685 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
       
   686 	*.tar.xz*) \
       
   687 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
   623 	*.tar.Z*) \
   688 	*.tar.Z*) \
   624 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
   689 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
   625 	*.shar.gz*) \
   690 	*.shar.gz*) \
   626 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
   691 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
   627 	*.zip*) \
   692 	*.zip*) \
   628 	  unzip $(distdir).zip ;;\
   693 	  unzip $(distdir).zip ;;\
   629 	esac
   694 	esac
   630 	chmod -R a-w $(distdir); chmod a+w $(distdir)
   695 	chmod -R a-w $(distdir); chmod a+w $(distdir)
   631 	mkdir $(distdir)/_build
   696 	mkdir $(distdir)/_build
   632 	mkdir $(distdir)/_inst
   697 	mkdir $(distdir)/_inst
   633 	chmod a-w $(distdir)
   698 	chmod a-w $(distdir)
       
   699 	test -d $(distdir)/_build || exit 0; \
   634 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
   700 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
   635 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
   701 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
   636 	  && cd $(distdir)/_build \
   702 	  && am__cwd=`pwd` \
       
   703 	  && $(am__cd) $(distdir)/_build \
   637 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
   704 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
       
   705 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
   638 	    $(DISTCHECK_CONFIGURE_FLAGS) \
   706 	    $(DISTCHECK_CONFIGURE_FLAGS) \
   639 	  && $(MAKE) $(AM_MAKEFLAGS) \
   707 	  && $(MAKE) $(AM_MAKEFLAGS) \
   640 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
   708 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
   641 	  && $(MAKE) $(AM_MAKEFLAGS) check \
   709 	  && $(MAKE) $(AM_MAKEFLAGS) check \
   642 	  && $(MAKE) $(AM_MAKEFLAGS) install \
   710 	  && $(MAKE) $(AM_MAKEFLAGS) install \
   653 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
   721 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
   654 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
   722 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
   655 	  && rm -rf "$$dc_destdir" \
   723 	  && rm -rf "$$dc_destdir" \
   656 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
   724 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
   657 	  && rm -rf $(DIST_ARCHIVES) \
   725 	  && rm -rf $(DIST_ARCHIVES) \
   658 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
   726 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
       
   727 	  && cd "$$am__cwd" \
       
   728 	  || exit 1
   659 	$(am__remove_distdir)
   729 	$(am__remove_distdir)
   660 	@(echo "$(distdir) archives ready for distribution: "; \
   730 	@(echo "$(distdir) archives ready for distribution: "; \
   661 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
   731 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
   662 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
   732 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
   663 distuninstallcheck:
   733 distuninstallcheck:
   664 	@cd $(distuninstallcheck_dir) \
   734 	@test -n '$(distuninstallcheck_dir)' || { \
   665 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
   735 	  echo 'ERROR: trying to run $@ with an empty' \
       
   736 	       '$$(distuninstallcheck_dir)' >&2; \
       
   737 	  exit 1; \
       
   738 	}; \
       
   739 	$(am__cd) '$(distuninstallcheck_dir)' || { \
       
   740 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
       
   741 	  exit 1; \
       
   742 	}; \
       
   743 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
   666 	   || { echo "ERROR: files left after uninstall:" ; \
   744 	   || { echo "ERROR: files left after uninstall:" ; \
   667 	        if test -n "$(DESTDIR)"; then \
   745 	        if test -n "$(DESTDIR)"; then \
   668 	          echo "  (check DESTDIR support)"; \
   746 	          echo "  (check DESTDIR support)"; \
   669 	        fi ; \
   747 	        fi ; \
   670 	        $(distuninstallcheck_listfiles) ; \
   748 	        $(distuninstallcheck_listfiles) ; \
   693 install-am: all-am
   771 install-am: all-am
   694 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
   772 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
   695 
   773 
   696 installcheck: installcheck-am
   774 installcheck: installcheck-am
   697 install-strip:
   775 install-strip:
   698 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   776 	if test -z '$(STRIP)'; then \
   699 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   777 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   700 	  `test -z '$(STRIP)' || \
   778 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   701 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
   779 	      install; \
       
   780 	else \
       
   781 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
       
   782 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
       
   783 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
       
   784 	fi
   702 mostlyclean-generic:
   785 mostlyclean-generic:
   703 
   786 
   704 clean-generic:
   787 clean-generic:
   705 
   788 
   706 distclean-generic:
   789 distclean-generic:
   707 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
   790 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
       
   791 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
   708 
   792 
   709 maintainer-clean-generic:
   793 maintainer-clean-generic:
   710 	@echo "This command is intended for maintainers to use"
   794 	@echo "This command is intended for maintainers to use"
   711 	@echo "it deletes files that may require special tools to rebuild."
   795 	@echo "it deletes files that may require special tools to rebuild."
   712 clean: clean-am
   796 clean: clean-am
   725 
   809 
   726 dvi-am:
   810 dvi-am:
   727 
   811 
   728 html: html-am
   812 html: html-am
   729 
   813 
       
   814 html-am:
       
   815 
   730 info: info-am
   816 info: info-am
   731 
   817 
   732 info-am:
   818 info-am:
   733 
   819 
   734 install-data-am: install-libSDL2_imageincludeHEADERS \
   820 install-data-am: install-libSDL2_imageincludeHEADERS \
   735 	install-pkgconfigDATA
   821 	install-pkgconfigDATA
   736 
   822 
   737 install-dvi: install-dvi-am
   823 install-dvi: install-dvi-am
   738 
   824 
       
   825 install-dvi-am:
       
   826 
   739 install-exec-am: install-libLTLIBRARIES
   827 install-exec-am: install-libLTLIBRARIES
   740 
   828 
   741 install-html: install-html-am
   829 install-html: install-html-am
   742 
   830 
       
   831 install-html-am:
       
   832 
   743 install-info: install-info-am
   833 install-info: install-info-am
   744 
   834 
       
   835 install-info-am:
       
   836 
   745 install-man:
   837 install-man:
   746 
   838 
   747 install-pdf: install-pdf-am
   839 install-pdf: install-pdf-am
   748 
   840 
       
   841 install-pdf-am:
       
   842 
   749 install-ps: install-ps-am
   843 install-ps: install-ps-am
       
   844 
       
   845 install-ps-am:
   750 
   846 
   751 installcheck-am:
   847 installcheck-am:
   752 
   848 
   753 maintainer-clean: maintainer-clean-am
   849 maintainer-clean: maintainer-clean-am
   754 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
   850 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
   776 .MAKE: install-am install-strip
   872 .MAKE: install-am install-strip
   777 
   873 
   778 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
   874 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
   779 	clean-generic clean-libLTLIBRARIES clean-libtool \
   875 	clean-generic clean-libLTLIBRARIES clean-libtool \
   780 	clean-noinstPROGRAMS ctags dist dist-all dist-bzip2 dist-gzip \
   876 	clean-noinstPROGRAMS ctags dist dist-all dist-bzip2 dist-gzip \
   781 	dist-shar dist-tarZ dist-zip distcheck distclean \
   877 	dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
   782 	distclean-compile distclean-generic distclean-libtool \
   878 	distcheck distclean distclean-compile distclean-generic \
   783 	distclean-tags distcleancheck distdir distuninstallcheck dvi \
   879 	distclean-libtool distclean-tags distcleancheck distdir \
   784 	dvi-am html html-am info info-am install install-am \
   880 	distuninstallcheck dvi dvi-am html html-am info info-am \
   785 	install-data install-data-am install-dvi install-dvi-am \
   881 	install install-am install-data install-data-am install-dvi \
   786 	install-exec install-exec-am install-html install-html-am \
   882 	install-dvi-am install-exec install-exec-am install-html \
   787 	install-info install-info-am install-libLTLIBRARIES \
   883 	install-html-am install-info install-info-am \
   788 	install-libSDL2_imageincludeHEADERS install-man install-pdf \
   884 	install-libLTLIBRARIES install-libSDL2_imageincludeHEADERS \
   789 	install-pdf-am install-pkgconfigDATA install-ps install-ps-am \
   885 	install-man install-pdf install-pdf-am install-pkgconfigDATA \
   790 	install-strip installcheck installcheck-am installdirs \
   886 	install-ps install-ps-am install-strip installcheck \
   791 	maintainer-clean maintainer-clean-generic mostlyclean \
   887 	installcheck-am installdirs maintainer-clean \
   792 	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
   888 	maintainer-clean-generic mostlyclean mostlyclean-compile \
   793 	pdf pdf-am ps ps-am tags uninstall uninstall-am \
   889 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
   794 	uninstall-libLTLIBRARIES uninstall-libSDL2_imageincludeHEADERS \
   890 	tags uninstall uninstall-am uninstall-libLTLIBRARIES \
   795 	uninstall-pkgconfigDATA
   891 	uninstall-libSDL2_imageincludeHEADERS uninstall-pkgconfigDATA
   796 
   892 
   797 
   893 
   798 %.o : %.rc
   894 %.o : %.rc
   799 	$(WINDRES) $< $@
   895 	$(WINDRES) $< $@
   800 
   896 
   802 $(PACKAGE)-$(VERSION).tar.gz: distcheck
   898 $(PACKAGE)-$(VERSION).tar.gz: distcheck
   803 
   899 
   804 # Rule to build RPM distribution package
   900 # Rule to build RPM distribution package
   805 rpm: $(PACKAGE)-$(VERSION).tar.gz
   901 rpm: $(PACKAGE)-$(VERSION).tar.gz
   806 	rpmbuild -ta $(PACKAGE)-$(VERSION).tar.gz
   902 	rpmbuild -ta $(PACKAGE)-$(VERSION).tar.gz
       
   903 
   807 # Tell versions [3.59,3.63) of GNU make to not export all variables.
   904 # Tell versions [3.59,3.63) of GNU make to not export all variables.
   808 # Otherwise a system limit (for SysV at least) may be exceeded.
   905 # Otherwise a system limit (for SysV at least) may be exceeded.
   809 .NOEXPORT:
   906 .NOEXPORT: